
singleton Material(vanosaurus)
{
   mapTo = "vanosaurus";
   diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_c.dds";
   specularMap[2] = "vehicles/vanosaurus/vanosaurus_s.dds";
   normalMap[2] = "vehicles/vanosaurus/vanosaurus_n.dds";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_d.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_s.dds";
   normalMap[1] = "vehicles/vanosaurus/vanosaurus_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/vanosaurus/vanosaurus_n.dds";
   //diffuseMap[3] = "vehicles/vanosaurus/vanosaurus_dirt.dds";
   //normalMap[3] = "vehicles/vanosaurus/vanosaurus_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_cargobox)
{
   mapTo = "vanosaurus_cargobox";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_cargobox_d.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_cargobox_s.dds";
   normalMap[1] = "vehicles/vanosaurus/vanosaurus_cargobox_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/vanosaurus/vanosaurus_cargobox_n.dds";
   //diffuseMap[3] = "vehicles/vanosaurus/vanosaurus_cargobox_dirt.dds";
   //normalMap[3] = "vehicles/vanosaurus/vanosaurus_cargobox_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_interior)
{
   mapTo = "vanosaurus_interior";
   diffuseMap[0] = "vanosaurus_interior_d.dds";
   specularMap[0] = "vanosaurus_interior_s.dds";
   normalMap[0] = "vanosaurus_interior_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(vanosaurus_gauges)
{
   mapTo = "vanosaurus_gauges";
   diffuseMap[0] = "vanosaurus_gauges_d.dds";
   specularMap[0] = "vanosaurus_gauges_s.dds";
   normalMap[0] = "vanosaurus_gauges_n.dds";
   specularPower[0] = "16";
   useAnisotropic[0] = "1";
   pixelSpecular[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(vanosaurus_gauges_on)
{
   mapTo = "vanosaurus_gauges_on";
   diffuseMap[1] = "vanosaurus_gauges_g.dds";
   specularMap[1] = "vanosaurus_gauges_s.dds";
   normalMap[1] = "vanosaurus_gauges_n.dds";
   diffuseMap[0] = "vanosaurus_gauges_d.dds";
   specularMap[0] = "vanosaurus_gauges_s.dds";
   normalMap[0] = "vanosaurus_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "0.75 0.75 0.75 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};

singleton Material(vanosaurus_seats)
{
   mapTo = "vanosaurus_seats";
   diffuseMap[0] = "vanosaurus_seats_d.dds";
   specularMap[0] = "vanosaurus_seats_s.dds";
   normalMap[0] = "vanosaurus_seats_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(vanosaurus_glass)
{
   mapTo = "vanosaurus_glass";
   diffuseMap[0] = "vehicles/vanosaurus/vanosaurus_glass_d.dds";
   specularMap[0] = "vehicles/vanosaurus/vanosaurus_glass_s.dds";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_glass_da.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_glass_s.dds";
   //diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_glass_dmg)
{
   mapTo = "vanosaurus_glass_dmg";
   diffuseMap[0] = "vehicles/vanosaurus/vanosaurus_glass_dmg_d.dds";
   specularMap[0] = "vehicles/common/glass_dmg_s.dds";
   normalMap[0] = "vehicles/common/glass_dmg_n.dds";
   //diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_glass_dirt.dds";
   specularPower[0] = "32";
   diffuseColor[0] = "1.5 1.5 1.5 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_signal_L)
{
   mapTo = "vanosaurus_signal_L";
};

singleton Material(vanosaurus_signal_R)
{
   mapTo = "vanosaurus_signal_R";
};

singleton Material(vanosaurus_taillight)
{
   mapTo = "vanosaurus_taillight";
};

singleton Material(vanosaurus_taillight_L)
{
   mapTo = "vanosaurus_taillight_L";
};

singleton Material(vanosaurus_taillight_R)
{
   mapTo = "vanosaurus_taillight_R";
};

singleton Material(vanosaurus_headlight)
{
   mapTo = "vanosaurus_headlight";
};

singleton Material(vanosaurus_chmsl)
{
   mapTo = "vanosaurus_chmsl";
};

singleton Material(vanosaurus_reverselight)
{
   mapTo = "vanosaurus_reverselight";
};

singleton Material(vanosaurus_runninglight)
{
   mapTo = "vanosaurus_runninglight";
};

singleton Material(vanosaurus_runningbrakelight)
{
   mapTo = "vanosaurus_runningbrakelight";
};

singleton Material(vanosaurus_lights)
{
   mapTo = "vanosaurus_lights";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_lights_d.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_lights_s.dds";
   normalMap[1] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   //diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_lights_dirt.dds";
   //normalMap[2] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_lights_on)
{
   mapTo = "vanosaurus_lights_on";
   diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_lights_g.dds";
   specularMap[2] = "vehicles/vanosaurus/vanosaurus_lights_s.dds";
   normalMap[2] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_lights_d.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_lights_s.dds";
   normalMap[1] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   //diffuseMap[3] = "vehicles/vanosaurus/vanosaurus_lights_dirt.dds";
   //normalMap[3] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_lights_on_intense)
{
   mapTo = "vanosaurus_lights_on_intense";
   diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_lights_g.dds";
   specularMap[2] = "vehicles/vanosaurus/vanosaurus_lights_s.dds";
   normalMap[2] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_lights_d.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_lights_s.dds";
   normalMap[1] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   //diffuseMap[3] = "vehicles/vanosaurus/vanosaurus_lights_dirt.dds";
   //normalMap[3] = "vehicles/vanosaurus/vanosaurus_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_lights_dmg)
{
   mapTo = "vanosaurus_lights_dmg";
   diffuseMap[1] = "vehicles/vanosaurus/vanosaurus_lights_dmg_d.dds";
   specularMap[1] = "vehicles/vanosaurus/vanosaurus_lights_dmg_s.dds";
   normalMap[1] = "vehicles/vanosaurus/vanosaurus_lights_dmg_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/vanosaurus/vanosaurus_lights_dmg_n.dds";
   //diffuseMap[2] = "vehicles/vanosaurus/vanosaurus_lights_dirt.dds";
   //normalMap[2] = "vehicles/vanosaurus/vanosaurus_lights_dmg_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//frame and running gear
singleton Material(pickup)
{
   mapTo = "pickup";
   //diffuseMap[2] = "vehicles/pickup/pickup_c.dds";
   //specularMap[2] = "vehicles/pickup/pickup_s.dds";
   //normalMap[2] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[1] = "vehicles/pickup/pickup_d.dds";
   specularMap[1] = "vehicles/pickup/pickup_s.dds";
   normalMap[1] = "vehicles/pickup/pickup_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/pickup/pickup_n.dds";
   //diffuseMap[3] = "vehicles/pickup/pickup_dirt.dds";
   //normalMap[3] = "vehicles/pickup/pickup_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.80 0.15 0.0 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

//v8 engine
singleton Material(fullsize)
{
   mapTo = "fullsize";
   //diffuseMap[2] = "vehicles/fullsize/fullsize_c.dds";
   //specularMap[2] = "vehicles/fullsize/fullsize_s.dds";
   //normalMap[2] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[1] = "vehicles/fullsize/fullsize_d.dds";
   specularMap[1] = "vehicles/fullsize/fullsize_s.dds";
   normalMap[1] = "vehicles/fullsize/fullsize_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/fullsize/fullsize_n.dds";
   //diffuseMap[3] = "vehicles/fullsize/fullsize_dirt.dds";
   //normalMap[3] = "vehicles/fullsize/fullsize_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "0.06 0.08 0.22 1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(vanosaurus_pickup_001)
{
   mapTo = "pickup_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "13.5 13.5 13.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_tire_002)
{
   mapTo = "tire_002";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_steelwheel_02a_001)
{
   mapTo = "steelwheel_02a_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_fullsize_001)
{
   mapTo = "fullsize_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "36 36 36 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_steelwheel_04a_001)
{
   mapTo = "steelwheel_04a_001";
   diffuseColor[0] = "0.64 0.64 0.64 1";
   specular[0] = "27 27 27 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_signal_R_001)
{
   mapTo = "signal_R_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_signal_L_001)
{
   mapTo = "signal_L_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_lowpressure_001)
{
   mapTo = "lowpressure_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_abs_001)
{
   mapTo = "abs_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_lowfuel_001)
{
   mapTo = "lowfuel_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_checkengine_001)
{
   mapTo = "checkengine_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_hazard_001)
{
   mapTo = "hazard_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_highbeam_001)
{
   mapTo = "highbeam_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_battery_001)
{
   mapTo = "battery_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(vanosaurus_parkingbrake_001)
{
   mapTo = "parkingbrake_001";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "9 9 9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
